%global momorel 2

Summary: Utilities for managing processes on your system.
Name: psmisc
Version: 21.4
Release: %{momorel}m
License: GPL
Group: Applications/System
Source: http://telia.dl.sourceforge.net/psmisc/psmisc-%{version}.tar.gz
Patch0: psmisc-20.2-56186.patch
URL: http://psmisc.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libtermcap-devel
NoSource: 0

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q
%patch0 -p1 -b .56186

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/sbin
mv %{buildroot}%{_bindir}/fuser %{buildroot}/sbin
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS
/sbin/fuser
%{_bindir}/killall
%{_bindir}/pstree
%{_bindir}/pstree.x11
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/pstree.1*

%changelog
* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (21.4-2m)
- revised spec for rpm 4.2.

* Wed Jan 21 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (21.4-1m)
- update to 21.4
- use %%global momorel
- remove --prefix from %%configure
- use %%make and %%makeinstall
- use %%find_lang

* Tue Jul 29 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (21.3-1m)
- update to 21.3
- use %%{momorel} macro
- remove patch: psmisc-17-buildroot.patch
- add patch: psmisc-20.2-56186.patch from RawHide(psmisc-21.3-2.RHEL.0)
- use %%{_datadir} in %%build section
- add %%doc section
- use %%{_bindir} in %%files section
- remove %%{_mandir}/man1/pidof.1* from %%files section

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (20.2-2k)
- version up.

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 20.1-2
- Add BuildRequires (#49562)
- s/Copyright/License/
- Fix license (it's actually dual-licensed BSD/GPL, not just "distributable")

* Wed Apr 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 20.1-1
- 20.1

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS man paths
- patch makefile to enable non-root builds

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Deal with compressed man pages

* Sun Nov 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to v19
- handle RPM_OPT_FLAGS

* Mon Sep 27 1999 Bill Nottingham <notting@redhat.com>
- move fuser to /sbin

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Mar 13 1999 Michael Maher <mike@redhat.com>
- updated package

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- renamed the patch file .patch instead of .spec

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to psmisc version 17
- buildrooted

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from version 11 to version 16
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
